%define anolis_release 1

Name:		fprintd
Version:	1.94.4
Release:	%{anolis_release}%{?dist}
Summary:	D-Bus service for Fingerprint reader access

License:	GPLv2+ AND GFDL-1.1-or-later
Source0:	https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/fprintd-v%{version}.tar.gz
Url:		http://www.freedesktop.org/wiki/Software/fprint/fprintd

BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	git
BuildRequires:	pam-devel
BuildRequires:	libfprint-devel >= 1.94.0
BuildRequires:	polkit-devel
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	perl-podlators
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	python3-dbusmock
BuildRequires:	python3-libpamtest

%description
D-Bus service to access fingerprint readers.

%package pam
Summary:	PAM module for fingerprint authentication
Requires:	%{name} = %{version}-%{release}
Provides:	pam_fprint = %{version}-%{release}
Obsoletes:	pam_fprint < 0.2-3
Requires(postun): authselect >= 0.3

License:	GPLv2+

%description pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
License:	GPLv2+ AND GFDL-1.1-or-later
BuildArch:	noarch

%description devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git -n %{name}-v%{version}

%build
%meson -Dgtk_doc=true -Dpam=true -Dpam_modules_dir=%{_libdir}/security
%meson_build

%install
%meson_install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/fprint
install -m 755 -d %{buildroot}%{_docdir}/%{name}-doc
install -p -m 644 pam/README %{buildroot}%{_docdir}/%{name}-doc/README.pam

%find_lang %{name}

%generate_compatibility_deps

%postun pam
if [ $1 -eq 0 ]; then
  /bin/authselect disable-feature with-fingerprint || :
fi

%files -f %{name}.lang
%{_bindir}/fprintd-*
%dir %{abidir}
%{abidir}/fprintd-*
%{_libexecdir}/fprintd
# FIXME This file should be marked as config when it does something useful
%{_sysconfdir}/fprintd.conf
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_unitdir}/fprintd.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%attr(0700, -, -) %{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.1.zst

%files pam
%{_libdir}/security/pam_fprintd.so
%{abidir}/pam_fprintd.dump
%{_mandir}/man8/pam_fprintd.8.zst

%files devel
%{_datadir}/gtk-doc/
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

%files doc
%doc README COPYING AUTHORS TODO README.pam

%changelog
* Fri Feb 28 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.94.4-1
- Update to 1.94.4 from 1.94.2
- Migrate to SPDX license

* Tue Apr 30 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.94.2-2
- Rebuild for Anolis 23

* Sat Mar 18 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.94.2-1
- Init from upstream
